# Financial entries by date range

In a successful response, you will receive a link to the file report_url.


    The financial data are in a CSV file, which can be found at the link. Data is available for export from the July 2022.

Endpoint: POST /financial_entries
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string, required)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Request fields (application/json):

  - `date_from` (string, required)
    Start datetime for the report stated in UTC+0.
    Example: "2025-08-15 11:00:00"

  - `date_to` (string, required)
    End datetime for the report stated in UTC+0.
    Example: "2025-09-20 13:00:00"

  - `filter` (string)
    Date field to filter the report by.
- created_at - date and time when the record was created
- accounting_date – determines the settlement or invoice inclusion date
- transaction_datetime_utc – transaction or fee date in UTC
- transaction_datetime_provider – transaction or fee date in provider's local timezone
    Enum: "created_at", "accounting_date", "transaction_datetime_utc", "transaction_datetime_provider"

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Success:
      - `report_url` (string)
        URL for the report stored on Amazon S3, which needs to be downloaded.
        Example: "https://reports.solidgate.com/api/v1/finance/financial_entries/report/fin_220808_143924_test/download"
    - Authentication failed:
      - `error` (object, required)
        Error object.
      - `error.code` (string, required)
        Unauthorized access due to invalid credentials.
        Example: "1.01"
      - `error.messages` (array, required)
        Array of error messages applied to the decline payment.
        Example: ["Authentication failed"]


